%define	oname	DevIL
%define	name	devil
%define	version	1.6.6
%define	release	3mdk
%define	major	1
%define	lib_name_orig	lib%{name}
%define	lib_name	%mklibname %{name} %{major}
%define	lib_name_devel	%mklibname %{name} %{major} -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{oname}-%{version}.tar.bz2
Patch0:		%{oname}-1.6.5-libpng_support.patch.bz2
Patch1:		%{name}-1.6.6-vsnprintf-link-fix.patch.bz2
License:	LGPL
Group:		System/Libraries
URL:		http://openil.sourceforge.net/
Summary:	Open Source image library
BuildRequires:	zlib-devel jpeg-devel tiff-devel autoconf2.5 SDL-devel allegro-devel
BuildRequires:	png-devel lcms-devel mng-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DevIL is an Open Source image library whose distribution is done under the
terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering,
converting, displaying, saving from/to several different image formats in your
own project.


%package -n	%{lib_name}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Provides:	%{lib_name_orig}
Provides:	%{name}

%description -n	%{lib_name}
DevIL is an Open Source image library whose distribution is done under the
terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering,
converting, displaying, saving from/to several different image formats in your
own project.


%package -n	%{lib_name_devel}
Summary:	Development headers and libraries for writing programs using %{oname}
Group:		Development/C
Requires:	%{lib_name} = %{version} allegro-devel
%define	_requires_exceptions	devel(liballeg)
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name_devel}
Development headers and libraries for writing programs using %{oname}

%prep
%setup -q -n %{oname}
%patch0 -p0
%patch1 -p1 -b .orig

%build
autoconf-2.5x
CFLAGS="$RPM_OPT_FLAGS -funroll-loops -ffast-math  -fomit-frame-pointer -fexpensive-optimizations" \
%configure2_5x	--with-pic \
		--with-gnu-ld \
		--enable-shared \
		--with-x \
		--disable-static
%make CFLAGS="$CFLAGS"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS BUGS CREDITS ChangeLog INSTALL Libraries.txt NEWS README.unix
%{_libdir}/*.so.*

%files -n %{lib_name_devel}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/IL

%changelog
* Fri Nov 28 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.6-3mdk
- rebuild without the wrong dependency on devel(liballeg)

* Fri Nov 28 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.6-2mdk
- fix linking problem reported by Nathan Cournia
- buildrequires

* Wed Oct 29 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.6-1mdk
- 1.6.6
- fix buildrequires (lib64..)

* Sat Aug 02 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-7mdk
- buildrequires

* Fri Jul 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.6.5-6mdk
- rebuild
- use %%mklibname for devel packages

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.5-5mdk
- patch 0: ensure some stuff is properly defined

* Sun May 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.5-4mdk
- patch 0: add libpng support (Tim Lee)

* Fri Apr 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.6.5-3mdk
- fix summary (I do suck)

* Fri Apr 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.6.5-2mdk
- corrected url
- fix buildrequires

* Fri Apr 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.6.5-1mdk
- initial release
